{{page-title (capitalize (t "new presentation"))}}

{{#if @model}}
  <Manage::Container @title={{capitalize (t "new presentation")}} @breadcrumbs={{this.breadcrumbs}}>
    <:content>
      {{#unless @model.teams}}
        <Manage::Row>
          <div class="alert alert-danger" role="alert">
            <p>{{capitalize (t "team-needed-message")}}</p>
            <LinkTo @route="manage.teams.add" @query={{hash next="add.presentation"}} class="btn btn-secondary btn btn-add-team">
              <FaIcon @icon="plus" />
              {{capitalize (t "team")}}
            </LinkTo>
          </div>
        </Manage::Row>
      {{/unless}}

      <Manage::RowAdd @name="name" as |id|>
        <Input id={{id}} class="form-control input-name" @value={{@model.presentation.name}} placeholder={{capitalize (t "what is the presentation name?")}} />
      </Manage::RowAdd>

      <Manage::RowAdd @name="slug" as |id|>
        <Input class="form-control input-slug" id={{id}} @value={{@model.presentation.slug}} placeholder={{capitalize (t "what is the presentation slug?")}} />
      </Manage::RowAdd>

      <Manage::RowAdd @name="team" as |id|>
        {{#if @model.teams}}
          {{#if this.user.isAdmin}}
            <Manage::SelectWithVisibility
              @id={{id}}
              @list={{@model.teams}}
              @value={{@model.presentation.visibility.team}}
              @onChange={{fn this.change "visibility.team"}}
              @areAllShowing={{this.all}}
              @toggleAll={{this.toggleAll}}
            />
          {{else}}
            <Input::Select id={{id}} @list={{@model.teams}} @value={{@model.presentation.visibility.team}} @onChange={{fn this.change "visibility.team"}} />
          {{/if}}
        {{else}}
          <LinkTo @route="manage.teams.add" @query={{hash next="add.presentation"}} class="btn btn-secondary btn btn-add-team">
            <FaIcon @icon="plus" />
            {{capitalize (t "team")}}
          </LinkTo>
        {{/if}}
      </Manage::RowAdd>

      <Manage::Row @name="add">
        <button type="button" class="btn btn-primary btn-submit" {{on "click" this.save}} disabled={{not this.canSubmit}} role="button">
          {{#if this.model.presentation.isSaving}}
            <FaIcon @icon="spinner" @spin={{true}} />
          {{/if}}

          {{capitalize (t "add")}}
        </button>
      </Manage::Row>
    </:content>
  </Manage::Container>
{{else}}
  <LoadingContainer />
{{/if}}